Bug 867300 - Must scroll to bottom of list to add sub to key when lots of subs available
Must scroll to bottom of list to add sub to key when lots of subs available
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 05:20 EDT by Brad P. Crochet
Modified: 2013-09-19 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:09:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad P. Crochet 2012-10-17 05:20:49 EDT
Description of problem:
Subscriptions -> Activation Keys -> Available Subscriptions

When there are numerous (> 15) available subscriptions, when the list is expanded, the "Add to Key" button goes to the bottom of the list. This can send it "off window", and may not be the most intuitive placement. When there are a lot (100+) of subscriptions, you would have to scroll to the bottom of a long list just to get to the button to add your selections to the key.

It "works", it's just very cumbersome.

Version-Release number of selected component (if applicable):
katello-1.1.12-14.el6cf.noarch

How reproducible:
Always

  
Actual results:
Add to Key button at very bottom of scroll pane

Expected results:
Add to key button outside of scroll pane.
Comment 3 Eric Helms 2013-02-12 16:42:43 EST
This was addressed by moving the 'Attach to Key' button to the upper left hand corner of the available subscriptions table.

Tracked here - https://github.com/Katello/katello/pull/1576
Comment 4 Mike McCune 2013-08-16 13:51:29 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 5 Mike McCune 2013-09-19 14:09:20 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.